// JavaScript Document
function calculatePercentage()
{
    var partnermoney = document.getElementById("partnermoney").value;

    //get Percentage
    $.ajax({
        url: 'partnerAjaxController.php?do=getPercentage&partnermoney=' + partnermoney,
        success: function (x) {

            document.getElementById("partnerpercentage").value = x;

        }
    });
}

$('#savePartBtn').live('click', function (e) {
    var partnername = $('#partnername').val();
    var value = $('#partnermoney').val();
    //var precent = $('#partnerpercentage').val();

    partnername = partnername.trim();

    var oldname = $('#oldname').val();
    if (partnername == '') {
        $('#partnerError').show();
        $('#partnerError').html("<p style='color: #CC3333;border: 1px solid #CC3333;width: 118px;'>* ادخل اسم الشريك</p>");
    } else if (value == '') {
        $('#partnerError').hide();
        $('#valueError').show();
        $('#valueError').html("<p style='color: #CC3333;border: 1px solid #CC3333;width: 118px;'>* ادخل قيمة الشراكة </p>");
    }
//     else if (precent == '') {
//        $('#partnerError').hide();
//        $('#valueError').hide();
//        $('#precntError').show();
//        $('#precntError').html("<p style='color: #CC3333;border: 1px solid #CC3333;width: 124px;'>* ادخل  نسبة  الشراكة</p>");
//    }
    else if (partnername != oldname && value.length > 0) {
        $.post('partnerAjaxController.php?do=checkName', {partnername: partnername}, function (data) {
            if (data == -1) {
                $('#partnerError').show();
                $('#valueError').hide();
                $('#partnerError').html("<p style='color: #CC3333;border: 1px solid #CC3333;width: 172px;'>*   تم ادخال هذا الاسم من قبل</p>");
            } else if (data == 0) {
                $('#partnerError').hide();
                $('#valueError').hide();
                $('#partform').submit();
                $('#savePartBtn').attr("disabled", true);
            }
        });
    } else if (partnername == oldname && value.length > 0) {
        $('#partnerError').hide();
        $('#valueError').hide();
        $('#partform').submit();
        $('#savePartBtn').attr("disabled", true);
    }
});